## xvier 1.0

=== debian/changelog ===
xvier (1.0-9) unstable; urgency=medium

  * QA upload.
  * debian/control: Remove article from beginning of Description.

 -- Jacqueline Agatha Agnes Ferreira <jacques_agnes1@hotmail.com>  Mon, 11 Dec 2023 23:34:56 -0300

xvier (1.0-8) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0.
  * Drop old menu file

  [ Vagrant Cascadian ]
  * Avoid build differences. (Closes: #1020872)

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 16:32:51 +0000

xvier (1.0-7.7) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999018)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 18 Apr 2022 16:01:05 -0300

xvier (1.0-7.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the build reproducible. (Closes: #777330)

 -- Chris Lamb <lamby@debian.org>  Wed, 09 Aug 2017 07:52:20 -0400

xvier (1.0-7.5) unstable; urgency=high

  * Non-maintainer upload.

  [Uwe Kleine-König]
  * fix segfault on archs that have sizeof(int) < sizeof(int*)
    (Closes: #554987)

  [Meike Reichle]
  * Bumped standards version (no further changes needed)
  * Fixed debian-rules-ignores-make-clean-error 

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Sat, 23 Jan 2010 19:58:26 +0100

xvier (1.0-7.4) unstable; urgency=high

  * Non-maintainer upload, high urgency to fix RC bug.
  * Add missing Build-Depends on libxext-dev. Closes: #486971
  * Replace obsolete dependency on xutils with xutils-dev. Closes: #485730
  * Update Standards-Version to 3.8.0. (No Changes)

 -- Bradley Smith <brad@brad-smith.co.uk>  Thu, 19 Jun 2008 15:20:48 +0100

xvier (1.0-7.3) unstable; urgency=low

  * Non-maintainer upload.
  * Moved menu pixmaps from /usr/X11R6/include/X11/pixmaps to
    /usr/share/pixmaps (Closes: #403934)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 20 Dec 2006 22:44:08 -0600

xvier (1.0-7.2) unstable; urgency=low

  * Non-maintainer upload to help with xlibs-dev transition.
  * debian/control: Replace xlibs-dev build-dep. (Closes: #346844) 

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 23:47:01 +0100

xvier (1.0-7.1) unstable; urgency=high

  * NMU
  * Check that update-menus is actually executable in postinst and postrm. 
    (closes: #271956)
  * Add quotes around need-part in menu file

 -- Tollef Fog Heen <tfheen@debian.org>  Fri,  8 Oct 2004 13:08:30 +0200

xvier (1.0-7) unstable; urgency=low

  * Packaging updates, new maintainer address.

 -- Josip Rodin <joy-packages@debian.org>  Tue, 28 Jan 2003 16:09:57 +0100

xvier (1.0-6) unstable; urgency=low

  * New maintainer, closes: #141222.
  * Acknowledging the NMU that fixed FHS issues, closes: #91714.
  * Removed the bashism from debian/rules, closes: #116043.
  * Brought the standards up to date.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Fri,  5 Apr 2002 11:20:45 +0200

xvier (1.0-5.1) unstable; urgency=low

  * NMU. Updated to conform to FHS. Closes: #91714
  * Added Build-Depends while at it.

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 16 Apr 2001 01:38:29 +0200

xvier (1.0-5) unstable; urgency=low

  * Recompiled.

 -- Goran Andersson <goran_a@maths.lth.se>  Thu, 11 Sep 1997 14:55:18 +0200

xvier (1.0-4) unstable; urgency=low

  * Updated menu support and added a mini-icon
  * Rebuilt with libc6

 -- Goran Andersson <goran_a@maths.lth.se>  Wed,  2 Jul 1997 12:50:46 +0200

xvier (1.0-3) unstable; urgency=low

  * New maintainer.
  * Added support for menu-0.11.

 -- Goran Andersson <goran_a@maths.lth.se>  Tue, 22 Apr 1997 13:56:14 +0200

xvier (1.0-2) unstable; urgency=low

  * Updated dependancies ( elf-x11r6lib --> xlib6 ).

 -- Vincent Renardias <vincent@waw.com>  Sat, 1 Feb 1997 20:59:37 +0100

xvier (1.0-1) unstable; urgency=low

  * Initial release.

 -- Vincent Renardias <vincent@waw.com>  Sun, 20 Oct 1996 21:07:33 +0200
