=== debian/control ===
Source: xvier
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.8.3
Build-Depends: libx11-dev, xutils-dev, libxext-dev

Package: xvier
Architecture: any
Depends: ${shlibs:Depends}
Description: "four in a row" game
 Xvier is a simple X game where you and your opponent alternately
 throw stones into free columns. The stones pile up in the columns,
 and the goal is to get four stones in a row, in a column or diagonally.
