=== debian/rules ===
#!/usr/bin/make -f

tmp = debian/xvier

CFLAGS := -g -Wall
ifeq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O2
endif

# Avoid embedding build path for reproducible builds
CFLAGS += -ffile-prefix-map=$(CURDIR)=.

build: xvier debian/rules
xvier: xvier.c
	xmkmf
	$(MAKE) CDEBUGFLAGS="$(CFLAGS)"

clean: debian/rules
	test `id -u` -eq 0
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile
	rm -f debian/substvars debian/files
	rm -rf $(tmp)
	find . -name \*~ | xargs -r rm

binary-indep:
# There are no architecture-independent packages to be generated here.

binary-arch: build
	test `id -u` -eq 0
	rm -rf $(tmp)
	install -d -m 0755 $(tmp)/usr/games $(tmp)/DEBIAN \
                           $(tmp)/usr/share/pixmaps \
                           $(tmp)/usr/share/man/man6 $(tmp)/usr/share/doc/xvier
	install -s -m 755 xvier xvier_prog $(tmp)/usr/games
	strip --remove-section=.comment --remove-section=.note $(tmp)/usr/games/*
	gzip -c9n xvier.man > $(tmp)/usr/share/man/man6/xvier.6x.gz
	ln -s xvier.6x.gz $(tmp)/usr/share/man/man6/xvier_prog.6x.gz
	install -m 755 debian/postinst debian/postrm $(tmp)/DEBIAN
	install -m 644 README $(tmp)/usr/share/doc/xvier
	gzip -c9n debian/changelog > $(tmp)/usr/share/doc/xvier/changelog.Debian.gz
	install -m 644 debian/copyright $(tmp)/usr/share/doc/xvier/copyright
	dpkg-shlibdeps $(tmp)/usr/games/*
	dpkg-gencontrol -P$(tmp) -isp
	chown -R root.root $(tmp)
	chmod -R g-ws $(tmp)
	dpkg --build $(tmp) ..

binary: binary-indep binary-arch
build-arch: build
build-indep: build

.PHONY: build clean build-arch build-indep binary binary-arch binary-indep
